import type { CompletionContext } from "@codemirror/autocomplete";
import type { VirtualTypeScriptEnvironment } from "@typescript/vfs";
import ts from "typescript";
import type { RawCompletion } from "../types.js";
export interface AutocompletionInfo {
    start: number;
    end: number;
    typeDef: readonly ts.DefinitionInfo[] | undefined;
    quickInfo: ts.QuickInfo | undefined;
}
export declare function getAutocompletion({ env, path, context, }: {
    env: VirtualTypeScriptEnvironment;
    path: string;
    /**
     * Allow this to be a subset of the full CompletionContext
     * object, because the raw object isn't serializable.
     */
    context: Pick<CompletionContext, "pos" | "explicit">;
}): Promise<RawCompletion | null>;
//# sourceMappingURL=getAutocompletion.d.ts.map