import { EditorView } from "@codemirror/view";
import type { HoverInfo } from "../hover/getHover.js";
/**
 * The default setting for the goto handler: this will
 * 'go to' code defined in the same file, and select it.
 * Returns true if it handled this case and the code
 * was in the same file.
 */
export declare function defaultGotoHandler(currentPath: string, hoverData: HoverInfo, view: EditorView): true | undefined;
type ToGoOptions = {
    gotoHandler?: typeof defaultGotoHandler;
};
/**
 * Supports 'going to' a variable definition by meta or
 * ctrl-clicking on it.
 *
 * @example
 * tsGotoWorker()
 */
export declare function tsGoto(opts?: ToGoOptions): import("@codemirror/state").Extension;
export {};
//# sourceMappingURL=tsGoto.d.ts.map